Slackwarearm-current ChangeLog (2020-05-01)

Fri May 01 08:08:08 UTC 2020

  • a/bash-5.0.017.000-arm-1.txz
  • a/glibc-zoneinfo-2020a-arm-1.txz
    This package provides the latest timezone updates.
  • a/kernel-firmware-20200424_b2cad6a-noarch-1.txz
  • a/kernel-modules-armv7-5.4.36_armv7-arm-1.txz
  • a/kernel_armv7-5.4.36-arm-1.txz
  • ap/cups-2.3.3-arm-1.txz
    This update fixes two security issues:
    The ppdOpen function did not handle invalid UI constraint.
    ppdcSource::get_resolution function did not handle invalid resolution strings.
    The ippReadIO function may under-read an extension.
    For more information, see:
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3898
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8842
    (* Security fix *)
  • ap/nvme-cli-1.11.1-arm-1.txz
  • ap/powertop-2.12-arm-1.txz
  • ap/tmux-3.1a-arm-1.txz
  • ap/vim-8.2.0639-arm-1.txz
  • d/cmake-3.17.2-arm-1.txz
  • d/help2man-1.47.15-arm-1.txz
  • d/kernel-headers-5.4.36-arm-1.txz
  • d/meson-0.54.1-arm-1.txz
  • d/parallel-20200422-noarch-1.txz
  • d/rust-1.43.0-arm-1.txz
  • d/vala-0.48.5-arm-1.txz
  • k/kernel-source-5.4.36-arm-1.txz
  • l/aspell-en-2019.10.06_0-arm-1.txz
  • l/dconf-editor-3.36.2-arm-1.txz
  • l/gmm-5.4-noarch-1.txz
  • l/gtk+3-3.24.20-arm-1.txz
  • l/imagemagick-7.0.10_10-arm-1.txz
  • l/librsvg-2.48.4-arm-1.txz
  • l/sip-4.19.22-arm-1.txz
  • l/vte-0.60.2-arm-1.txz
  • n/curl-7.70.0-arm-1.txz
  • n/dhcpcd-8.1.9-arm-1.txz
  • n/fetchmail-6.4.4-arm-1.txz
  • n/openldap-client-2.4.50-arm-1.txz
  • n/s-nail-14.9.19-arm-1.txz
  • n/samba-4.12.2-arm-1.txz
    This update fixes two security issues:
    A client combining the 'ASQ' and 'Paged Results' LDAP controls can cause a
    use-after-free in Samba's AD DC LDAP server.
    A deeply nested filter in an un-authenticated LDAP search can exhaust the
    LDAP server's stack memory causing a SIGSEGV.
    For more information, see:
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-10700
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-10704
    (* Security fix *)
  • x/mesa-20.0.5-arm-1.txz
  • x/xterm-354-arm-1.txz
  • xap/audacious-4.0.3-arm-1.txz
  • xap/audacious-plugins-4.0.3-arm-1.txz
  • xap/vim-gvim-8.2.0639-arm-1.txz
  • extra/aspell-word-lists/aspell-de-20161207_7_0-arm-1.txz
  • extra/aspell-word-lists/aspell-ga-5.1_0-arm-1.txz
  • extra/aspell-word-lists/aspell-it-2.4_20070901_0-arm-1.txz
  • extra/aspell-word-lists/aspell-ml-0.04_1-arm-1.txz
  • extra/aspell-word-lists/aspell-pl-6.0_20200327_0-arm-1.txz
  • extra/aspell-word-lists/aspell-pt_BR-20131030_12_0-arm-1.txz
  • extra/aspell-word-lists/aspell-pt_PT-20190329_1_0-arm-1.txz
  • extra/aspell-word-lists/aspell-sk-2.02_0-arm-1.txz
  • extra/aspell-word-lists/aspell-tl-0.4_0-arm-1.txz
  • kernels/*
  • a/mkinitrd-1.4.11-arm-4.txz
    Use the standard mktemp utility from GNU coreutils, not the old tempfile.
  • d/clisp-2.50_20191103_c26de7873-arm-2.txz
    Upgraded to libffcall-2.2.
    Patched to fix undefined symbol errors in rawsock and other modules.
    Thanks to badbetty for the bug report and Jerry James for the patch.
  • l/PyQt5-5.13.2-arm-2.txz
    Added python2 modules, as Plasma 5 needs these for now.
    We will eliminate python2 as soon as possible, but not sooner.
  • n/irssi-1.2.2-arm-2.txz
    Fixed ctrl-space killing input with recent glib.
    Thanks to tramtrist and Urchlay.
  • isolinux/*
  • l/python-enum34-1.1.10-arm-1.txz
    This is needed for python2 support in PyQt5.
  • news/2020/05/01/slackwarearm-current-changelog.txt
  • Last modified: 6 months ago
  • by Giuseppe Di Terlizzi